## AgsJackServer

AgsJackServer — JACK instance

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_JACK_SERVER_GET_OBJ_MUTEX()
GList * | ags_jack_server_find_url ()
GObject * | ags_jack_server_find_client ()
GObject * | ags_jack_server_find_port ()
void | ags_jack_server_add_client ()
void | ags_jack_server_remove_client ()
void | ags_jack_server_connect_client ()
void | ags_jack_server_disconnect_client ()
AgsJackServer * | ags_jack_server_new ()

## Properties

AgsJackClient * | default-jack-client | Read / Write
GObject * | default-soundcard | Read / Write
AgsJackClient * | input-jack-client | Read / Write
gpointer | jack-client | Read / Write
char * | url | Read / Write

## Types and Values

#define | AGS_JACK_SERVER_DEFAULT_PROTOCOL
#define | AGS_JACK_SERVER_DEFAULT_HOST
#define | AGS_JACK_SERVER_DEFAULT_PORT

## Object Hierarchy

        GObject
        ╰── AgsJackServer

## Includes

    #include <ags/audio/jack/ags_jack_server.h>

## Description

The AgsJackServer is an object to represent a running JACK instance.

## Functions

### AGS_JACK_SERVER_GET_OBJ_MUTEX()

    #define AGS_JACK_SERVER_GET_OBJ_MUTEX(obj) (&(((AgsJackServer *) obj)->obj_mutex))

### ags_jack_server_find_url ()

    GList *
    ags_jack_server_find_url (GList *jack_server,
                              gchar *url);

Find AgsJackServer by url.

#### Parameters

jack_server | the GList containing AgsJackServer. | [element-type AgsAudio.JackServer][transfer none]
url | the url to find |

#### Returns

the GList containing a AgsJackServer matching `url` or `NULL`.

[element-type AgsAudio.JackServer][transfer none]

Since: 3.0.0

### ags_jack_server_find_client ()

    GObject *
    ags_jack_server_find_client (AgsJackServer *jack_server,
                                 gchar *client_uuid);

Find AgsJackClient by uuid.

#### Parameters

jack_server | the AgsJackServer |
client_uuid | the uuid to find |

#### Returns

the AgsJackClient found or `NULL`.

[transfer none]

Since: 3.0.0

### ags_jack_server_find_port ()

    GObject *
    ags_jack_server_find_port (AgsJackServer *jack_server,
                               gchar *port_uuid);

Find AgsJackPort by uuid.

#### Parameters

jack_server | the AgsJackServer |
port_uuid | the uuid to find |

#### Returns

the AgsJackPort found or `NULL`.

[transfer none]

Since: 3.0.0

### ags_jack_server_add_client ()

    void
    ags_jack_server_add_client (AgsJackServer *jack_server,
                                GObject *jack_client);

Add `jack_client` to `jack_server`

#### Parameters

jack_server | the AgsJackServer |
jack_client | the AgsJackClient to add |

Since: 3.0.0

### ags_jack_server_remove_client ()

    void
    ags_jack_server_remove_client (AgsJackServer *jack_server,
                                   GObject *jack_client);

Remove `jack_client` to `jack_server`

#### Parameters

jack_server | the AgsJackServer |
jack_client | the AgsJackClient to remove |

Since: 3.0.0

### ags_jack_server_connect_client ()

    void
    ags_jack_server_connect_client (AgsJackServer *jack_server);

Connect all clients.

#### Parameters

jack_server | the AgsJackServer |

Since: 3.0.0

### ags_jack_server_disconnect_client ()

    void
    ags_jack_server_disconnect_client (AgsJackServer *jack_server);

Connect all clients.

#### Parameters

jack_server | the AgsJackServer |

Since: 3.0.0

### ags_jack_server_new ()

    AgsJackServer *
    ags_jack_server_new (gchar *url);

Create a new instance of AgsJackServer.

#### Parameters

url | the URL as string |

#### Returns

the new AgsJackServer

Since: 3.0.0

## Types and Values

### AGS_JACK_SERVER_DEFAULT_PROTOCOL

    #define AGS_JACK_SERVER_DEFAULT_PROTOCOL "udp"

### AGS_JACK_SERVER_DEFAULT_HOST

    #define AGS_JACK_SERVER_DEFAULT_HOST "localhost"

### AGS_JACK_SERVER_DEFAULT_PORT

    #define AGS_JACK_SERVER_DEFAULT_PORT (3000)

## Property Details

### The `“default-jack-client”` property

      “default-jack-client”      AgsJackClient *

The default jack client.

Owner: AgsJackServer

Flags: Read / Write

Since: 3.0.0

### The `“default-soundcard”` property

      “default-soundcard”        GObject *

The default soundcard.

Owner: AgsJackServer

Flags: Read / Write

Since: 3.0.0

### The `“input-jack-client”` property

      “input-jack-client”        AgsJackClient *

The input jack client.

Owner: AgsJackServer

Flags: Read / Write

Since: 3.0.0

### The `“jack-client”` property

      “jack-client”              gpointer

The jack client list.

[transfer full]

Owner: AgsJackServer

Flags: Read / Write

Since: 3.0.0

### The `“url”` property

      “url”                      char *

The assigned URL.

Owner: AgsJackServer

Flags: Read / Write

Default value: NULL

Since: 3.0.0